Subject: IBIS BUSHOLD SUBMODEL.

From: "Haque, Moshiul" <[email-masked]>
Date: Thu, 14 Dec 2000 11:26:41 -0600

Hi,
I am trying to create a separate bus-hold submodel for the IBIS file of a
device with bushold connected at the input.I have several questions.

1)The input of the device is an inverter with a feedback inverter connected
from output to input.The pulldown,pullup and ramp data that I got is by
disconnecting the feedback inverter from the input and get the data for only
the feedback inverter.Is this a correct procedure to get the bushold data?

2)For ramp data the feedback inverter does not have enough current to drive
a 50 ohm load.So if I use  C_fixture equal to C_in of the device will that
be correct?

3)V_trigger_r is the voltage when the output of the input buffer switches
from low to high.So if I want to get the V_trigger_f by simulation I have to
take the whole input buffer not just the feedback inverter.Is this correct?

Any comments or suggestions will be greatly appreciated.

Best Regards.
Moshiul  Haque
Application Engineer
Standard Linear and Logic Marketing
Texas Instruments 
Sherman , TX
Tel -(903) 868-7153
Fax-(903) 868-5980
e-mail- [email-masked]

---

From: Bob Ross <[email-masked]>
Date: Thu, 14 Dec 2000 10:18:17 -0800

Moshiul:

Some responses are in your text.

In general, the IBIS model for a standard bus hold circuit
can be viewed as a reasonable first order adjustment.  It
is often build be construction from other information rather
than by actual measurement extraction.  In signal integrity
analysis, the effect of bus hold should be small, so the
"approximation" approach is reasonable.

Bob Ross
Mentor Graphics

"Haque, Moshiul" wrote:

>
>
> Hi,
> I am trying to create a separate bus-hold submodel for the IBIS file
> of a device with bushold connected at the input.I have several
> questions.
>
> 1)The input of the device is an inverter with a feedback inverter
> connected from output to input.The pulldown,pullup and ramp data that
> I got is by disconnecting the feedback inverter from the input and get
> the data for only the feedback inverter.Is this a correct procedure to
> get the bushold data?

I believe this should work.

>
>
> 2)For ramp data the feedback inverter does not have enough current to
> drive a 50 ohm load.So if I use  C_fixture equal to C_in of the device
> will that be correct?

I would still use a resistive load.  Even small transitions can be
processed
in IBIS models.  However a larger resistance might be used to avoid too
small of a transition and possible related numerical ambiguity..

>
>
> 3)V_trigger_r is the voltage when the output of the input buffer
> switches from low to high.So if I want to get the V_trigger_f by
> simulation I have to take the whole input buffer not just the feedback
> inverter.Is this correct?

Probably the overall simulation will provide an estimated V_trigger_r
value that is
good enough for the model.